cascading.flow.planner.process

## Interface FlowNodeFactory

- All Known Implementing Classes:
    BaseFlowNodeFactory

      public interface FlowNodeFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowNode` | `createFlowNode(FlowElementGraph flowElementGraph, ElementGraph nodeSubGraph, java.util.List<? extends ElementGraph> pipelineGraphs)`
    `java.lang.String` | `makeFlowNodeName(FlowNode flowNode, int size, int ordinal)`

- - ### Method Detail

    - #### createFlowNode

          FlowNode createFlowNode(FlowElementGraph flowElementGraph,
                                ElementGraph nodeSubGraph,
                                java.util.List<? extends ElementGraph> pipelineGraphs)

    - #### makeFlowNodeName

          java.lang.String makeFlowNodeName(FlowNode flowNode,
                                          int size,
                                          int ordinal)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.